Name:           gegl04
Version:        0.4.8
Release:        3
Summary:        Generic Graphics Library
License:        LGPLv3+
URL:            http://www.gegl.org/
Source0:        http://download.gimp.org/pub/gegl/0.4/gegl-%{version}.tar.bz2

BuildRequires:  chrpath, enscript, gcc-c++, gettext-devel >= 0.19.8, gobject-introspection-devel >= 1.32.0, libspiro-devel, perl-interpreter
BuildRequires:  ruby, SDL-devel >= 1.2.0, suitesparse-devel, vala-tools, pkgconfig(babl) >= 0.1.56, pkgconfig(cairo) >= 1.12.2, pkgconfig(exiv2) >= 0.25
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.32.0, pkgconfig(glib-2.0) >= 2.44.0, libjpeg-devel, pkgconfig(json-glib-1.0), pkgconfig(lcms2) >= 2.8
BuildRequires:  pkgconfig(lensfun) >= 0.2.5, pkgconfig(libraw) >= 0.15.4, pkgconfig(libpng) >= 1.6.0, pkgconfig(librsvg-2.0) >= 2.40.6, pkgconfig(libv4l2) >= 1.0.1
BuildRequires:  pkgconfig(libwebp) >= 0.5.0, pkgconfig(lua) >= 5.1.0, pkgconfig(OpenEXR) >= 1.6.1, pkgconfig(pango) >= 1.38.0, pkgconfig(pangocairo) >= 1.38.0
BuildRequires:  pkgconfig(pygobject-3.0) >= 3.2, pkgconfig(vapigen) >= 0.20.0, pkgconfig(libtiff-4) >= 4.0.0
%ifarch x86_64
BuildRequires:  pkgconfig(luajit) >= 2.0.4
%endif
Requires:       /usr/bin/convert
Provides:       bundled(poly2tri-c)
Provides:       %{name}-tools%{?_isa} %{name}-tools
Obsoletes:      %{name}-tools
Conflicts:      gegl < 0.4

%description
GEGL (Generic Graphics Library) is a data flow based image processing framework, providing floating point processing
and non-destructive image processing capabilities to GNU Image Manipulation Program and other projects
(imgflo, GNOME Photos, gcut, iconographer, …)
With GEGL you chain together processing operations to represent the desired image processing pipeline. GEGL provides
operations for image loading and storing, color adjustments, GIMPs artistic filters and more forms of image processing
GEGL can also be used from the commandline.
The primary repository for the GEGL source code in GNOME git, and at GIMPs download site tarball releases.
GEGL is Free Software, and both new functionality in new operations as well as relevant development, enhancement requests,
patches and bug reports for GEGL at gitlab.gnome.org/GNOME/gegl ,
Finanical support for fun new filters and capabilities as well as gardening/janitor bits and offshoot new color related
infrastructure as part of project maintainership is welcome through the patreon campaign at GIMPs donation page.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Obsoletes:      %{name}-devel < 0.4.2
Conflicts:      %{name}-devel < 0.4.2, gegl-devel < 0.4
Provides:       %{name}-devel-docs%{?_isa} %{name}-devel-docs
Obsoletes:      %{name}-devel-docs

%description    devel
This package includes development files for %{name}.

%prep
%autosetup -n gegl-%{version} -p1

%build
%configure --disable-static
%make_build

%install
%make_install

chrpath -d $RPM_BUILD_ROOT%{_bindir}/*
chrpath -d $RPM_BUILD_ROOT%{_libdir}/*.so*
chrpath -d $RPM_BUILD_ROOT%{_libdir}/gegl-0.4/*.so
%delete_la

%find_lang gegl-0.4

%ldconfig_scriptlets

%files -f gegl-0.4.lang
%license COPYING.LESSER COPYING
%{_libdir}/gegl-0.4/
%{_libdir}/libgegl-0.4.so.*
%{_libdir}/libgegl-*-0.4.so
%{_libdir}/girepository-1.0/Gegl-0.4.typelib
%{_bindir}/*

%files devel
%{_includedir}/gegl-0.4/
%{_libdir}/libgegl-0.4.so
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Gegl-0.4.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gegl-0.4.*
%doc %{_datadir}/gtk-doc/

%changelog
* Thu Jan 23 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.4.8-3
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:delete the jasper

* Fri Dec 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.4.8-2
- Package init
